<?php

declare(strict_types=1);

namespace LogseqGem\Tests;

use PHPUnit\Framework\TestCase;
use LogseqGem\Parser;

use League\CommonMark\Node\Block\Document;

class ParserTest extends TestCase {
    public function testParse() {
        $parser = $this->getMockForAbstractClass(Parser::class);
        $document = $parser->parse('**foo**');
        $this->assertInstanceOf(Document::class, $document);
    }
}
